<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Blogeasy
 */

get_header();
?>

<div class="row larger-gutter align-items-center be-single-header">
	<div class="col-md-8">
		<header class="page-header">
			<h1 class="page-title h4">
				<?php
				/* translators: %s: search query. */
				printf( esc_html__( 'Search Results for: %s', 'blogeasy' ), '<span>' . get_search_query() . '</span>' );
				?>
			</h1>
		</header><!-- .page-header -->
	</div>
	<div class="col-md-4 text-right">
		<div class="entry-meta">
			<?php blogeasy_breadcrumb_trail(); ?>
		</div>
	</div>
</div>

<div class="row larger-gutter">
	<section id="primary" class="col-md-9 content-area be-content-width">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</section><!-- #primary -->

	<div class="col-md-3 be-sidebar-width">
		<?php get_sidebar(); ?>
	</div>
</div>

<?php
get_footer();
